# Using Pre-existing Training Data

If you already have some training data that you want to start with, you can use that as well with Zingg. Add an attribute **trainingSamples** to the config and define the training pairs.

The training data supplied to Zingg should have a **z\_cluster** column that groups the records together. The **z\_cluster** uniquely identifies the group. We also need to add the **z\_isMatch** column which is **1** if the pairs *match* or **0** if they do *not* match. The **z\_isMatch** value has to be the same for all the records in the **z\_cluster** group. They either match with each other or they don't.

An example is provided in [GitHub training data](https://github.com/zinggAI/zingg/blob/main/examples/febrl/training.csv).\
Here, the first column specifies the z\_cluster, the second column specifies the z\_isMatch value and the remaining columns are the ones which are used for training the model.

The above training data can be specified using [trainingSamples attribute in the configuration.](https://github.com/zinggAI/zingg/blob/main/examples/febrl/configWithTrainingSamples.json)

**Note**: It is advisable to still run [findTrainingData](https://docs.zingg.ai/latest/stepbystep/createtrainingdata/findtrainingdata) and [label](https://docs.zingg.ai/latest/stepbystep/createtrainingdata/label) a few rounds to tune Zingg with the supplied training data as well as patterns it needs to learn independently.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zingg.ai/latest/stepbystep/createtrainingdata/addowntrainingdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
